
Infrastructure - Task #1589

Feature # 1577 (Closed): use tables for storing System Metadata in Metacat

Task # 1579 (Closed): create additional tables

create replica status table

2011-05-24 23:28 - Ben Leinfelder

Status: Closed Start date: 2011-05-24

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.23-Block.3   

Milestone:  Story Points:  

Product Version: *   

Description

History

#1 - 2011-05-26 19:44 - Ben Leinfelder

- Status changed from New to In Progress

proposed table:

CREATE TABLE systemMetadataReplicationStatus (

guid text,  -- the globally unique string identifier of the object that the system metadata describes

member_node VARCHAR(250),    -- replication member node

status VARCHAR(250),     -- replication status

date_verified TIMESTAMP,    -- the date replication was verified

CONSTRAINT systemMetadataReplicationStatus_fk

FOREIGN KEY (guid) REFERENCES systemMetadata

);

#2 - 2011-05-27 04:15 - Ben Leinfelder

- % Done changed from 0 to 80

testing the changes locally.

eventually will need more detailed unit tests for storing/retrieving these systemMetadata facets - probably when we start to proxy the CN replication

interface.

#3 - 2011-05-27 16:45 - Ben Leinfelder

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

crudservice now passing
